#include "initscreen.h"
using namespace STDP;

void initscreen::mostrarPresents(){
	string produccion = "Lesbinary productions presenta:";

	StdPijo& stdp = StdPijo::p();
	stdp.init();
	stdp.clearScreen();
	stdp.setGlobalEscapeDelay(0);

	sleep(2);
	stdp.setColor(ANORMAL, CWHITE, CBLACK);

	//Mostramos letra a letra con un pequeño retardo
	for(int i = 0; (unsigned)i < produccion.length() ; i++){
		stdp.setCursor(23+i, 10);
		stdp.writeChar(produccion[i]);
		stdp.refreshScr();
		// Pequeño retardo
		usleep(45000);
	}

	sleep(2);
}

void initscreen::mostrarTitulo(){
	StdPijo& stdp = StdPijo::p();

	stdp.init();
	stdp.clearScreen();
    stdp.setGlobalEscapeDelay(0);
	stdp.setColor(ANORMAL, CYELLOW, CBLACK);
	stdp.setCursor(0,0);
	stdp.refreshScr();

	stdp.writeStr("	                                    ");
	stdp.setCursor(12,3);
	stdp.writeStr("M\"\"MMMMM\"\"MM                     dP    ");
	stdp.setCursor(12,4);
	stdp.writeStr("M  MMMMM  MM                     88           ");
	stdp.setCursor(12,5);
	stdp.writeStr("M         `M .d8888b. 88d8b.d8b. 88d888b. 88d888b. .d8888b. ");
	stdp.setCursor(12,6);
	stdp.writeStr("M  MMMMM  MM 88'  `88 88'`88'`88 88'  `88 88'  `88 88ooood8 ");
	stdp.setCursor(12,7);
	stdp.writeStr("M  MMMMM  MM 88.  .88 88  88  88 88.  .88 88       88.  ... ");
	stdp.setCursor(12,8);
	stdp.writeStr("M  MMMMM  MM `88888P' dP  dP  dP 88Y8888' dP       `88888P' ");
	stdp.setCursor(12,9);
	stdp.writeStr("MMMMMMMMMMMM                                                ");

	sleep(1);
	stdp.refreshScr();


	stdp.setCursor(12,11);
	stdp.writeStr("MM\'\"\"\"\"\'YMM                            ");
	stdp.setCursor(12,12);
	stdp.writeStr("M' .mmm. `M                            ");
	stdp.setCursor(12,13);
	stdp.writeStr("M  MMMMMooM .d8888b. .d8888b. .d8888b. ");
	stdp.setCursor(12,14);
	stdp.writeStr("M  MMMMMMMM 88'  `88 88'  `\"\" 88'  `88 ");
	stdp.setCursor(12,15);
	stdp.writeStr("M. `MMM' .M 88.  .88 88.  ... 88.  .88 ");
	stdp.setCursor(12,16);
	stdp.writeStr("MM.     .dM `88888P' `88888P' `88888P' ");
	stdp.setCursor(12,17);
	stdp.writeStr("MMMMMMMMMMM                            ");

	sleep(2);
	stdp.refreshScr();


	sleep(2);


	//Mostraremos de forma intermitente el cartel de pulsar Enter como el decorado, hasta pulsarlo y que se haga una animación
	do{
		stdp.setColor(ANORMAL, CGREEN, CBLACK);
		stdp.setCursor(33,20);
		stdp.writeStr("Presione ENTER para empezar a jugar");
		stdp.refreshScr();
		usleep(150000);


		stdp.setColor(ANORMAL, CWHITE, CBLACK);

		for(int i = 0; i < 80; i++){
			stdp.setCursor(i,0);
			stdp.writeChar(' ');
			stdp.setCursor(i,23);
			stdp.writeChar(' ');
		}

		for(int i = 0; i < 24; i++){
			stdp.setCursor(0,i);
			stdp.writeChar(' ');
			stdp.setCursor(79,i);
			stdp.writeChar(' ');
		}


		stdp.refreshScr();
		usleep(200000);


		for(int i = 0; i < 80; i++){
			stdp.setCursor(i,0);
			stdp.writeChar('*');
			stdp.setCursor(i,23);
			stdp.writeChar('*');
		}

		for(int i = 0; i < 24; i++){
			stdp.setCursor(0,i);
			stdp.writeChar('*');
			stdp.setCursor(79,i);
			stdp.writeChar('*');
		}

		stdp.refreshScr();
		usleep(200000);

		stdp.setCursor(33,20);
		stdp.writeStr("                                   ");
		stdp.refreshScr();
		usleep(150000);
	}while (stdp.getKey() != KENTER);
	for(int i = 0; i < 80; i++){
		stdp.setCursor(i,0);
		stdp.writeChar(' ');
		stdp.refreshScr();
		usleep(15000);
	}

	for(int i = 0; i < 24; i++){
		stdp.setCursor(79,i);
		stdp.writeChar(' ');
		stdp.refreshScr();
		usleep(15000);
	}

	for(int i = 79; i >= 0; i--){
		stdp.setCursor(i,23);
		stdp.writeChar(' ');
		stdp.refreshScr();
		usleep(15000);
	}

	for(int i = 23; i >= 0; i--){
		stdp.setCursor(0,i);
		stdp.writeChar(' ');
		stdp.refreshScr();
		usleep(15000);
	}
	sleep(1);
	stdp.writeStr("	                                    ");
	stdp.setCursor(12,3);
	stdp.writeStr("************                     **    ");
	stdp.setCursor(12,4);
	stdp.writeStr("*  *****  **                     **           ");
	stdp.setCursor(12,5);
	stdp.writeStr("*         ** ******** ********** ******** ******** ******** ");
	stdp.setCursor(12,6);
	stdp.writeStr("*  *****  ** ***  *** ********** ***  *** ***  *** ******** ");
	stdp.setCursor(12,7);
	stdp.writeStr("*  *****  ** ***  *** **  **  ** ***  *** **       ****  *** ");
	stdp.setCursor(12,8);
	stdp.writeStr("*  *****  ** ******** **  **  ** ******** **       ******** ");
	stdp.setCursor(12,9);
	stdp.writeStr("************                                                ");


	stdp.setCursor(12,11);
	stdp.writeStr("***********                            ");
	stdp.setCursor(12,12);
	stdp.writeStr("** ***** **                            ");
	stdp.setCursor(12,13);
	stdp.writeStr("*  ******** ******** ******** ******** ");
	stdp.setCursor(12,14);
	stdp.writeStr("*  ******** ***  *** ***  *** ***  *** ");
	stdp.setCursor(12,15);
	stdp.writeStr("** ***** ** ***  *** ***  *** ***  *** ");
	stdp.setCursor(12,16);
	stdp.writeStr("***     *** ******** ******** ******** ");
	stdp.setCursor(12,17);
	stdp.writeStr("***********                            ");
	stdp.refreshScr();

	usleep(50000);

	stdp.clearScreen();
	stdp.refreshScr();
	sleep(1);
}
